View Issue Details

IDProjectCategoryView StatusLast Update
0002009Industrial-Craft²nuclear reactor and anything associatedpublic2016-12-15 19:54
ReporterdiAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002009: java.lang.IllegalStateException: already linked
Description---- Minecraft Crash Report ----

WARNING: coremods are present:
  IC2core (industrialcraft-2-2.6.27-ex110.jar)
Contact their authors BEFORE contacting forge

// I blame Dinnerbone.

Time: 04/10/16 15:45
Description: Exception in server tick loop

java.lang.IllegalStateException: already linked
    at ic2.core.block.comp.Redstone.linkTo(Redstone.java:149)
    at ic2.core.block.reactor.tileentity.TileEntityNuclearReactorElectric.createChamberRedstoneLinks(TileEntityNuclearReactorElectric.java:813)
    at ic2.core.block.reactor.tileentity.TileEntityNuclearReactorElectric.onLoaded(TileEntityNuclearReactorElectric.java:118)
    at ic2.core.block.TileEntityBlock$1.onTick(TileEntityBlock.java:119)
    at ic2.core.TickHandler.processUpdates(TickHandler.java:175)
    at ic2.core.TickHandler.onWorldTick(TickHandler.java:58)
    at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_8_TickHandler_onWorldTick_WorldTickEvent.invoke(.dynamic)
    at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
    at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:168)
    at net.minecraftforge.fml.common.FMLCommonHandler.onPreWorldTick(FMLCommonHandler.java:282)
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:694)
    at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:613)
    at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:149)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:471)
    at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
    Minecraft Version: 1.10.2
    Operating System: Windows 8.1 (amd64) version 6.3
    Java Version: 1.8.0_25, Oracle Corporation
    Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
    Memory: 266673384 bytes (254 MB) / 714317824 bytes (681 MB) up to 1060372480 bytes (1011 MB)
    JVM Flags: 6 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx1G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M
    IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
    FML: MCP 9.32 Powered by Forge 12.18.1.2094 6 mods loaded, 6 mods active
    States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
    UCHIJAAAA mcp{9.19} [Minecraft Coder Pack] (minecraft.jar)
    UCHIJAAAA FML{8.0.99.99} [Forge Mod Loader] (forge-1.10.2-12.18.1.2094.jar)
    UCHIJAAAA Forge{12.18.1.2094} [Minecraft Forge] (forge-1.10.2-12.18.1.2094.jar)
    UCHIJAAAA IC2{2.6.27-ex110} [IndustrialCraft 2] (industrialcraft-2-2.6.27-ex110.jar)
    UCHIJAAAA RubyItens{Doesn't import!} [RubyItens] (rubymodv1.0.jar)
    UCHIJAAAA XaeroMinimap{1.9.6} [Xaero's Minimap] (Xaeros_Minimap_1.9.6_Forge_1.10.2.jar)
    Loaded coremods (and transformers):
IC2core (industrialcraft-2-2.6.27-ex110.jar)
  
    GL info: ~~ERROR~~ RuntimeException: No OpenGL context found in the current thread.
    Profiler Position: N/A (disabled)
    Player Count: 0 / 8; []
    Type: Integrated Server (map_client.txt)
    Is Modded: Definitely; Client brand changed to 'fml,forge'
TagsNo tags attached.
Minecraft Version1.10.2

Activities

DeuceXM

2016-12-14 02:05

reporter   ~0004935

To be a little more helpful here (crash also occurs in 2.6.130-ex110 with essentially the same message): Reactor Chambers do not gracefully handle it when you try to connect them to a second Nuclear Reactor.
- If you have two reactors already set down, you /are/ prevented from placing a chamber that will touch both of them (and thereby crash your game).
- However, nothing prevents you from placing a reactor next to an existing attached chamber, which will cause this problem.
As far as I can tell it's unrecoverable without some sort of world editor, since the game immediately crashes on initial load.

Chocohead

2016-12-15 19:54

developer   ~0004939

Fixed in IC2 2.6.131

Issue History

Date Modified Username Field Change
2016-10-04 19:16 di New Issue
2016-10-04 20:10 Aroma1997 Assigned To => Aroma1997
2016-10-04 20:10 Aroma1997 Status new => assigned
2016-12-14 02:05 DeuceXM Note Added: 0004935
2016-12-15 19:54 Chocohead Note Added: 0004939
2016-12-15 19:54 Chocohead Status assigned => resolved
2016-12-15 19:54 Chocohead Fixed in Version => Builds for MC 1.10.x
2016-12-15 19:54 Chocohead Resolution open => fixed
2016-12-15 19:54 Chocohead Assigned To Aroma1997 => Chocohead